Subject: Re: bug#31885: Bug when running guix system reconfigure after recent guix pull

From: swedebugia <[email-masked]>
Date: Tue, 19 Jun 2018 00:51:52 +0200

Hi

On June 18, 2018 10:45:42 PM GMT+02:00, "Clément Lassieur" <[email-masked]> wrote:
>
>The guix-service-type service needs to be modified because it is
>already
>in %desktop-services, and you can't have it twice.

Got it! Now I understand the problem. 

>> ;				;; Should I use parenteses instead of "#:"?
>
>Things ending with '-configuration' are usually macros that can be used
>to instantiate the corresponding records.  They take arguments like
>'(field value)'.  '#:' is used when passing arguments to normal
>functions.

This I did not fully understand, will read up on macros in the guile manual and ask on help-guix or IRC if needed. 

>This is complex, but you can usually know what things expect by looking
>at the examples in the documentation.

I tried. Will try harder and propose changes with more examples and clarifications.  

>
>If you have similar issues, please email [email-masked] instead.

Understood. 

>Good luck, and don't hesitate to ask! :-)

Big thanks for taking the time to investigate this. 😀

-- 
Cheers Swedebugia